Compare commits

..

8 Commits

Author SHA1 Message Date
saundersp
a5aaa55f11 Updated metadata/md5-cache 2025-02-14 22:56:10 +01:00
saundersp
a993e24b7c net-p2p/feather-bin : Reduced files/feather.png file size 2025-02-14 22:56:01 +01:00
saundersp
8778bce6f5 media-fonts/nerdfonts : Fixed string length warning 2025-02-14 22:55:33 +01:00
saundersp
2457dfd9c1 Added dev-libs/libportal-0.9.1 2025-02-14 22:55:08 +01:00
saundersp
58f2d4fa98 Added app-text/calibre-7.26.0 2025-02-14 22:54:51 +01:00
saundersp
b3d19d44a0 Added app-office/notesnook-bin-3.0.26 2025-02-14 22:54:28 +01:00
saundersp
cd27821d82 Added app-misc/ollama-bin-0.5.11 2025-02-14 22:54:16 +01:00
saundersp
99298f2203 String formatting 2025-02-14 22:53:59 +01:00
41 changed files with 803 additions and 263 deletions

View File

@ -5,5 +5,5 @@ EAPI=8
inherit acct-group
DESCRIPTION="A group for ollama"
DESCRIPTION='A group for ollama'
ACCT_GROUP_ID=-1

View File

@ -5,7 +5,7 @@ EAPI=8
inherit acct-user
DESCRIPTION="A user for ollama"
DESCRIPTION='A user for ollama'
ACCT_USER_ID=-1
ACCT_USER_HOME=/var/lib/ollama
ACCT_USER_HOME_PERMS=0700

View File

@ -5,27 +5,25 @@ EAPI=8
inherit go-module
DESCRIPTION="The lazier way to manage everything docker"
HOMEPAGE="https://github.com/jesseduffield/lazydocker"
DESCRIPTION='The lazier way to manage everything docker'
HOMEPAGE='https://github.com/jesseduffield/lazydocker'
SRC_URI="https://github.com/jesseduffield/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${P}"
LICENSE="Apache-2.0 BSD ISC MIT Unlicense"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
LICENSE='Apache-2.0 BSD ISC MIT Unlicense'
SLOT='0'
KEYWORDS='~amd64 ~arm64'
RDEPEND=">=app-containers/docker-cli-1.13
>=app-containers/docker-compose-1.23.2"
RDEPEND='>=app-containers/docker-cli-1.13 >=app-containers/docker-compose-1.23.2'
DOCS=( {CODE-OF-CONDUCT,CONTRIBUTING,README}.md docs )
src_compile() {
ego build -o bin/${PN} \
-ldflags "-X main.version=${PV}"
ego build -o bin/"${PN}" -ldflags "-X main.version=${PV}"
}
src_install() {
dobin bin/${PN}
dobin bin/"${PN}"
einstalldocs
}

View File

@ -1,3 +1,6 @@
DIST ollama-bin-0.5.11.amd64.tgz 1533674176 BLAKE2B 0fcd8a831b2d2d92e33b00eba364c9e131d50dd7fef43d08dcff3f354ae4cf221c6fab73c923a482a417b5c8a884fb93c7b373b52fcdb6ceb2a7db24fee1eb69 SHA512 6439848bbca340cb9a2ecd2058524563284a3c3e6764463b3d411cc0d93644ecfa3d8ecff3e6c80f74593e2f9a8304446d4ca8fd202e9d29987fb0ed45815b3e
DIST ollama-bin-0.5.11.arm64.tgz 1533703313 BLAKE2B 7a9da2b59a6b32d59a11ec84b2dc187f57b3b5d3463bfc91bff44cfc3b17f3235ca496dec62e38a3d12b4e224b50e443d583f76bda35efcfee063cfe523dda8b SHA512 119099c5c1ddef3130cc9790424cf794661a83ac7f85fab969d68aa6b0c368ae68a1849d063532f652530a5f5fe06b275bc9c0f26a318af4188a042734802d07
DIST ollama-bin-0.5.11.rocm.tgz 1342095462 BLAKE2B 9528f8c75f3f04ad820a9c43a66c2cc4556509ca632f177f0ebee98b4a369c769c4570da53d0a95dd92836c05b3e0a8d21a8142cf7bebc8d44302e4d9994c13a SHA512 ea5ff04d29e6425ec302561ec33ac1f1275953c8c10ee2cabbb9821e84195312a3f19dc765bf6ca36b96f0720fa68fb9f043a91d7acb4e3ceca153fa8880106a
DIST ollama-bin-0.5.7.amd64.tgz 1682401421 BLAKE2B 3c1c1e883428d5ace28d848d59cc9dcadf3a1872cf2c000ba966e61ec89f0533ad097d319684a332d91a7fb8fe7f5aeba8eb75d68243ac10550809f0cf1c08ba SHA512 7e653a6cdc97792f509fe8fb9e3c995c8359150c706759b1e9f19b438647c5bafd1c771673809303fff7c572a3cdbf26100edea3058dd780ad3490c9c9239905
DIST ollama-bin-0.5.7.arm64.tgz 1540370409 BLAKE2B e42fd66d2caadea2e4b1de062ef9d4c76d42b92df6975a66c4c0a169578fbbc2ecc8cd2aca4fccc06711b98b7c62e99989f6c1367aed1a781a4cf7c6edef57bc SHA512 db2b729e880e6355a98513bcaeb58051f0f959966ed29c9f3966ed8390e96f43781416b92b82b821fccd1a4720fa488019c7f1c765a4df37075374a6623cc310
DIST ollama-bin-0.5.7.rocm.tgz 1214464647 BLAKE2B 94368dc0c0dbdcdaff0a5c340bf0794be371de7f4f3b59d11f1152459d3eda14e0703923135c603e8fd8016664ef7e01d2a414dd08eed931e9716eeb3f2f06f8 SHA512 90994d1863c3867eb4f86a777008d98a2f20d751d19e86577847ee3119a3588a1356fde1e2964a52ccebce15b48f9339ea935f477aac2c564375ec521c3f7fd7

View File

@ -0,0 +1,69 @@
EAPI=8
DESCRIPTION='Get up and running with large language models.'
HOMEPAGE='https://ollama.com https://github.com/ollama/ollama'
SRC_MAIN_URI='https://github.com/ollama/ollama/releases/download/v'
SRC_URI="
amd64? ( ${SRC_MAIN_URI}${PV}/ollama-linux-amd64.tgz -> $P.amd64.tgz )
arm64? ( ${SRC_MAIN_URI}${PV}/ollama-linux-arm64.tgz -> $P.arm64.tgz )
rocm? ( ${SRC_MAIN_URI}${PV}/ollama-linux-amd64-rocm.tgz -> $P.rocm.tgz )
"
S="${WORKDIR}"
LICENSE='MIT'
SLOT='0'
KEYWORDS='~amd64 ~arm64'
IUSE='+systemd rocm'
DEPEND='acct-user/ollama acct-group/ollama'
RDEPEND='acct-user/ollama acct-group/ollama'
RESTRICT='strip'
src_unpack() {
if use rocm; then
tar -xzvf "${DISTDIR}/${P}.rocm.tgz" -C "${WORKDIR}" || die "Can't extract rocm tgz"
elif use amd64; then
tar -xzvf "${DISTDIR}/${P}.amd64.tgz" -C "${WORKDIR}" || die 'Failed to extract binary'
elif use arm64; then
tar -xzvf "${DISTDIR}/${P}.arm64.tgz" -C "${WORKDIR}" || die 'Failed to extract binary'
fi
}
src_install() {
exeinto /opt/Ollama/bin
doexe "${WORKDIR}/bin/ollama" || die 'Failed to install binary'
insinto /opt/Ollama/lib/
doins -r "${WORKDIR}/lib/ollama/" || die 'Failed to install libraries'
dosym -r /opt/Ollama/bin/ollama /opt/bin/ollama
}
src_prepare() {
eapply_user
}
pkg_postinst() {
einfo 'Quick guide:'
einfo 'ollama serve'
einfo 'ollama run llama3:70b'
einfo 'See available models at https://ollama.com/library'
if use systemd; then
einfo 'Creating systemd service file...'
{
echo '[Unit]'
echo 'Description=Ollama Service'
echo 'After=network-online.target'
echo ''
echo '[Service]'
echo 'ExecStart=/opt/Ollama/bin/ollama serve'
echo 'User=ollama'
echo 'Group=ollama'
echo 'Restart=always'
echo 'RestartSec=3'
echo ''
echo '[Install]'
echo 'WantedBy=default.target'
} > /usr/lib/systemd/system/ollama.service
einfo 'Service file created at /etc/systemd/system/ollama.service'
einfo 'Making service user-startable...'
mkdir -p /etc/systemd/user
ln -s /usr/lib/systemd/system/ollama.service /etc/systemd/user/ollama.service
ln -s /usr/lib/systemd/system/ollama.service /etc/systemd/system/ollama.service
fi
}

View File

@ -2,3 +2,5 @@ DIST notesnook-bin-3.0.24.amd64.AppImage 107747451 BLAKE2B ee91ba2bd78de574de7b1
DIST notesnook-bin-3.0.24.arm64.AppImage 108015837 BLAKE2B 6edbcf3184cee8c2f174112e3a360db8bd5cd30debacce35401dfa017ed80325cd0aaa467d0b2d539aeb878aa7639fa0d69dfd6783f5c50c9e4a644e7b18acd9 SHA512 10dc89bb69d4f5bdeb8acbabbd0f454703da1f6df4374843365da4bae5a9830a480c296bcf0bc9c3ff68cb1154617d4a23b540f2b2ee416f90f43e37d52ade03
DIST notesnook-bin-3.0.25.amd64.AppImage 107751479 BLAKE2B 2d9a7dcbf5b24e3e03976a9d71e57a6c83037b36392f5832a1af79a7ca8a49798c6e0003b8b3a1ee5b7af09c5a068b801733568f3397885099b4194866b7d2eb SHA512 205203683a241f5b7a847e499fe1ee6e987cc952df58bfcdebe6ba8d03c11598fa499b1427eb052bc16ca412123b384c22c8438e73c80dac612e525776828e08
DIST notesnook-bin-3.0.25.arm64.AppImage 108019848 BLAKE2B 501ad27c37bfcc55972f48c6ffa4811ba518621c4211b2dcea743d1c94370e9efef974493bb07e5e1c72cd81d195a6c78a239d0564ad5d0342372e191f8d0b9c SHA512 6e3898cda4ff0b82574eca79c75c2ad09ef75810cabf125c386428501948823d50bad29819e3354627e7395235ebd8a97762fa94f8a726bb808ec78cecdc41f1
DIST notesnook-bin-3.0.26.amd64.AppImage 107812808 BLAKE2B 22acc037fe3cd63c1d00d3bc67da3609b90173a3065c02c5a4e8b4c746e5c697e31d162898856b4ec1ad96e86f91e3037f073238ea9489ad4f31c93be6477fef SHA512 c901d92abc9d9b8ee123e39b000a62f51e744511d4c8ce53d9160d21c0fd7fb30ca66a69a38782b84d070a6dd1e2c42bc1e911168e9c5cea62aabe345c5c1a7b
DIST notesnook-bin-3.0.26.arm64.AppImage 108081211 BLAKE2B 146708819346224a81ec9040148ade3fd5661e00c21adb6b9fb3d506f73d09ce81bc15f69acb92a1e2621bd9c0a90bc286323667bf1a255e0b86559ba958fccf SHA512 b460b4de347bcb5d114d2051f66f95f34dc35dfd8a1334ecfb92cfd992843cde005f5753e66a1f922311ba4e2f05f0c60199278595a56e2cd737966331122461

View File

@ -0,0 +1,31 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DESCRIPTION='End-to-end encrypted note taking alternative to Evernote'
HOMEPAGE='https://notesnook.com/ https://github.com/streetwriters/notesnook'
RELEASE_URI=https://github.com/streetwriters/notesnook/releases
SRC_URI="
amd64? ( ${RELEASE_URI}/download/v${PV}/notesnook_linux_x86_64.AppImage -> ${P}.amd64.AppImage )
arm64? ( ${RELEASE_URI}/download/v${PV}/notesnook_linux_arm64.AppImage -> ${P}.arm64.AppImage )
"
S="${WORKDIR}"
LICENSE='GPL-3'
SLOT='0'
KEYWORDS='~amd64 ~arm64'
RESTRICT='strip'
RDEPEND='sys-fs/fuse:0'
QA_PREBUILT='*'
inherit desktop
src_install() {
if use amd64; then
newbin "${DISTDIR}/${P}.amd64.AppImage" notesnook
elif use arm64; then
newbin "${DISTDIR}/${P}.arm64.AppImage" notesnook
fi
doicon "${FILESDIR}"/notesnook.png
make_desktop_entry "${PN}" Notesnook notesnook 'Office;'
}

View File

@ -2,3 +2,5 @@ DIST calibre-7.24.0.tar.xz 42601188 BLAKE2B fd581dcea283e46ddacaa9fccfc4fda45cb9
DIST calibre-7.24.0.tar.xz.sig 566 BLAKE2B db9e15e3f4692f5786acce6becf26be00bb52e51acf676323fa15b9a3126441e5a2f83ec6e5d8264daf95be193948d48794b45d737acac8429d59daded92af80 SHA512 5d7ac771fef76d7eba89e05b78b3acc852dfa10603e7d1093d991f30d7ac7c498d65baebb4cdd7f60288829eded231d6a211adb9423aaa3b639141bd3ca7ca44
DIST calibre-7.25.0.tar.xz 43475456 BLAKE2B f1a6bab63188113db1af8003056978f94902bbe3c95aee6cb51d4f3d6167b113e3d789f6af6819c4a5ed502fc344661887410553a74f3973a581d27e05a9cbcf SHA512 7e275b34fc5396842db09b11a2bf8aa70075bad97d4c4bb134d23ca7cbbe29c569fb33aeb5613a9bcf43e4a7787d268bb2a7e00d0303a46d6562c0e288bc7880
DIST calibre-7.25.0.tar.xz.sig 566 BLAKE2B ce9b6c758c7efa349b7b9cb578e5d59d269e76fe4dd070d2153f8182ede555418f6e0bc567ae1fc84759b6f4c88b7462bd725af8ef87dea05a2bd6941dd18383 SHA512 081cbd4212d77a3de3656ecda71747feeb696a1cc0edda98e52e5f7f649901b2afd02d14cdc107d10a9f3744411c9b7cc886717164a4b4ddcd2fd25902b68657
DIST calibre-7.26.0.tar.xz 43633708 BLAKE2B d936ad859f5a64a11b26218a1a72d55e9b7fce82b6ae261376dc55009ac07852d2f8eea771bb401fcc660a9eade9fa89ce2b2dbde1bb9f7e2e0757f84a80aa9f SHA512 e477a2dcdd1c52074bd5c0df5d79b2b609d76bf9e1cb5e3d32f79a89d6e0e2798cb980e2cf74e126fb2856273a14b0e2e92b39ffca74461569233c0a87968bfe
DIST calibre-7.26.0.tar.xz.sig 566 BLAKE2B 9ceb7db5cea446a173add6bb9abfcc186fe3b377bebfa7c42b5ed50336bf46d534e034312a1e38fa33bae685635e5533abb0667f3f536cfe30fd74e6c5023367 SHA512 06584ac459e5c5b03ad3e115ecbff867dc4f6666d80a37bd365b815ea9c1d6190bd17ed9787a2dbf79a1dd0a1c6676dd9e98753edde90f3866a3d5edbb26f930

View File

@ -165,24 +165,26 @@ src_compile() {
tc-export CC CXX
# bug 821871
local MY_LIBDIR="${ESYSROOT}/usr/$(get_libdir)"
local MY_LIBDIR
MY_LIBDIR="${ESYSROOT}/usr/$(get_libdir)"
export FT_LIB_DIR="${MY_LIBDIR}" HUNSPELL_LIB_DIR="${MY_LIBDIR}" PODOFO_LIB_DIR="${MY_LIBDIR}"
export QMAKE="$(qt6_get_bindir)/qmake"
QMAKE="$(qt6_get_bindir)/qmake"
export QMAKE
edo ${EPYTHON} setup.py build
edo ${EPYTHON} setup.py gui
edo "${EPYTHON}" setup.py build
edo "${EPYTHON}" setup.py gui
# A few different resources are bundled in the distfile by default, because
# not all systems necessarily have them. We un-vendor them, using the
# upstream integrated approach if possible. See setup/revendor.py and
# consider migrating other resources to this if they do not use it, in
# *preference* over manual rm'ing.
edo ${EPYTHON} setup.py liberation_fonts \
edo "${EPYTHON}" setup.py liberation_fonts \
--path-to-liberation_fonts "${EPREFIX}"/usr/share/fonts/liberation-fonts \
--system-liberation_fonts
if use system-mathjax; then
edo ${EPYTHON} setup.py mathjax --path-to-mathjax "${EPREFIX}"/usr/share/mathjax --system-mathjax
edo ${EPYTHON} setup.py rapydscript
edo "${EPYTHON}" setup.py mathjax --path-to-mathjax "${EPREFIX}"/usr/share/mathjax --system-mathjax
edo "${EPYTHON}" setup.py rapydscript
fi
}
@ -210,7 +212,7 @@ src_test() {
# have a different control mechanism
use speech || export SKIP_SPEECH_TESTS=1
edo ${PYTHON} setup.py test "${_test_excludes[@]/#/--exclude-test-name=}"
edo "${PYTHON}" setup.py test "${_test_excludes[@]/#/--exclude-test-name=}"
}
src_install() {
@ -220,7 +222,7 @@ src_install() {
# File '/usr/lib/python2.6/locale.py', line 418, in _parse_localename
# raise ValueError, 'unknown locale: %s' % localename
#ValueError: unknown locale: 46
export -n LANG LANGUAGE ${!LC_*}
export -n LANG LANGUAGE "${!LC_*}"
export LC_ALL=C.utf8 # bug #709682
# Bug #295672 - Avoid sandbox violation in ~/.config by forcing

View File

@ -0,0 +1,254 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..13} )
PYTHON_REQ_USE='sqlite,ssl'
inherit edo toolchain-funcs python-single-r1 qmake-utils verify-sig xdg
DESCRIPTION='Ebook management application'
HOMEPAGE='https://calibre-ebook.com/'
SRC_URI="
https://download.calibre-ebook.com/${PV}/${P}.tar.xz
verify-sig? ( https://calibre-ebook.com/signatures/${P}.tar.xz.sig )
"
VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/kovidgoyal.gpg
LICENSE='
GPL-3+
GPL-3
GPL-2+
GPL-2
GPL-1+
LGPL-3+
LGPL-2.1+
LGPL-2.1
BSD
MIT
Old-MIT
Apache-2.0
public-domain
|| ( Artistic GPL-1+ )
CC-BY-3.0
OFL-1.1
PSF-2
'
SLOT='0'
KEYWORDS='~amd64'
IUSE='+font-subsetting ios speech +system-mathjax test +udisks unrar'
RESTRICT='!test? ( test )'
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
# Qt slotted dependencies are used because the libheadless.so plugin links to
# QT_*_PRIVATE_ABI. It only uses core/gui/dbus.
COMMON_DEPEND="${PYTHON_DEPS}
app-i18n/uchardet
>=app-text/hunspell-1.7:=
>=app-text/podofo-0.10.0:=
app-text/poppler[utils]
dev-libs/hyphen:=
>=dev-libs/icu-57.1:=
dev-libs/openssl:=
dev-libs/snowball-stemmer:=
$(python_gen_cond_dep '
>=dev-python/apsw-3.25.2_p1[${PYTHON_USEDEP}]
dev-python/beautifulsoup4[${PYTHON_USEDEP}]
>=dev-python/css-parser-1.0.4[${PYTHON_USEDEP}]
dev-python/dnspython[${PYTHON_USEDEP}]
>=dev-python/feedparser-5.2.1[${PYTHON_USEDEP}]
>=dev-python/html2text-2019.8.11[${PYTHON_USEDEP}]
>=dev-python/html5-parser-0.4.9[${PYTHON_USEDEP}]
dev-python/jeepney[${PYTHON_USEDEP}]
>=dev-python/lxml-3.8.0[${PYTHON_USEDEP}]
dev-python/lxml-html-clean[${PYTHON_USEDEP}]
>=dev-python/markdown-3.0.1[${PYTHON_USEDEP}]
>=dev-python/mechanize-0.3.5[${PYTHON_USEDEP}]
>=dev-python/msgpack-0.6.2[${PYTHON_USEDEP}]
>=dev-python/netifaces-0.10.5[${PYTHON_USEDEP}]
>=dev-python/pillow-3.2.0[jpeg,truetype,webp,zlib,${PYTHON_USEDEP}]
>=dev-python/psutil-4.3.0[${PYTHON_USEDEP}]
>=dev-python/pychm-0.8.6[${PYTHON_USEDEP}]
dev-python/pykakasi[${PYTHON_USEDEP}]
>=dev-python/pygments-2.3.1[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-2.5.3[${PYTHON_USEDEP}]
dev-python/pyqt6[gui,network,opengl,printsupport,quick,svg,widgets,${PYTHON_USEDEP}]
dev-python/pyqt6-webengine[widgets,${PYTHON_USEDEP}]
dev-python/regex[${PYTHON_USEDEP}]
dev-python/xxhash[${PYTHON_USEDEP}]
>=dev-python/zeroconf-0.75.0[${PYTHON_USEDEP}]
')
dev-qt/qtbase:6=[gui,widgets]
dev-qt/qtimageformats:6
dev-util/desktop-file-utils
dev-util/gtk-update-icon-cache
media-fonts/liberation-fonts
media-libs/fontconfig:=
>=media-libs/freetype-2:=
>=media-libs/libmtp-1.1.11:=
>=media-gfx/optipng-0.7.6
>=media-video/ffmpeg-6:=
virtual/libusb:1=
x11-misc/shared-mime-info
>=x11-misc/xdg-utils-1.0.2-r2
font-subsetting? ( $(python_gen_cond_dep 'dev-python/fonttools[${PYTHON_USEDEP}]') )
ios? (
>=app-pda/usbmuxd-1.0.8
>=app-pda/libimobiledevice-1.2.0
)
speech? (
$(python_gen_cond_dep 'app-accessibility/speech-dispatcher[python,${PYTHON_USEDEP}]')
dev-python/pyqt6[multimedia,speech]
)
system-mathjax? ( >=dev-libs/mathjax-3:= )
udisks? ( virtual/libudev )
unrar? ( dev-python/unrardll )
"
RDEPEND="${COMMON_DEPEND}
udisks? ( sys-fs/udisks:2 )"
DEPEND="${COMMON_DEPEND}
test? ( $(python_gen_cond_dep '>=dev-python/chardet-3.0.3[${PYTHON_USEDEP}]') )
"
BDEPEND="$(python_gen_cond_dep '
>=dev-python/pyqt-builder-1.10.3[${PYTHON_USEDEP}]
>=dev-python/sip-5[${PYTHON_USEDEP}]
')
virtual/pkgconfig
system-mathjax? ( dev-lang/rapydscript-ng )
verify-sig? ( sec-keys/openpgp-keys-kovidgoyal )
"
PATCHES=(
# Skip calling a binary (JxrDecApp) from libjxr which is used for tests
# We don't (yet?) package libjxr and it seems to be dead upstream
# (last commit in 2017)
"${FILESDIR}/${PN}-7.0.0-jxr-test.patch"
)
src_prepare() {
default
# Warning:
#
# While it might be rather tempting to add yet another sed here,
# please don't. There have been several bugs in Gentoo's packaging
# of calibre from seds-which-become-stale. Please consider
# creating a patch instead, but in any case, run the test suite
# and ensure it passes.
#
# If in doubt about a problem, checking Fedora's packaging is recommended.
# Disable unnecessary privilege dropping for bug #287067.
sed -e 's:if os.geteuid() == 0:if False and os.geteuid() == 0:' \
-i setup/install.py || die 'sed failed to patch install.py'
# This is only ever used at build time. It contains a small embedded copy
# of the rapydscript-ng compiler usable inside of qtwebengine, if you don't
# have rapydscript-ng (a nodejs package) itself installed. Its only purpose
# is to build some resources that come bundled in dist tarballs already...
# and which we may also need to regenerate e.g. to use system-mathjax.
#
# However, running qtwebengine violates the portage sandbox (among other
# things, it tries to create directories in /usr! amazing) so this is a
# wash anyway. The only real solution here is to package rapydscript-ng.
#
# We do not need it at build time, and *no one* needs it at install time.
# Delete the cruft.
rm -r resources/rapydscript/ || die
}
src_compile() {
# TODO: get qmake called by setup.py to respect CC and CXX too
tc-export CC CXX
# bug 821871
local MY_LIBDIR="${ESYSROOT}/usr/$(get_libdir)"
export FT_LIB_DIR="${MY_LIBDIR}" HUNSPELL_LIB_DIR="${MY_LIBDIR}" PODOFO_LIB_DIR="${MY_LIBDIR}"
export QMAKE="$(qt6_get_bindir)/qmake"
edo ${EPYTHON} setup.py build
edo ${EPYTHON} setup.py gui
# A few different resources are bundled in the distfile by default, because
# not all systems necessarily have them. We un-vendor them, using the
# upstream integrated approach if possible. See setup/revendor.py and
# consider migrating other resources to this if they do not use it, in
# *preference* over manual rm'ing.
edo ${EPYTHON} setup.py liberation_fonts \
--path-to-liberation_fonts "${EPREFIX}"/usr/share/fonts/liberation-fonts \
--system-liberation_fonts
if use system-mathjax; then
edo ${EPYTHON} setup.py mathjax --path-to-mathjax "${EPREFIX}"/usr/share/mathjax --system-mathjax
edo ${EPYTHON} setup.py rapydscript
fi
}
src_test() {
# Skipped tests:
local _test_excludes=(
# unpackaged Python dependency: py7zr
7z
# unpackaged Python dependency: pyzstd
test_zstd
# unpackaged TTS backend (optional at runtime): https://github.com/rhasspy/piper
piper
# tests if a completely unused module is bundled
pycryptodome
$(usev !speech speech_dispatcher)
$(usev !unrar test_unrar)
# undocumented reasons
test_mem_leaks
test_searching
)
# Some of these tests weren't practical to split out into distinct tests, so
# have a different control mechanism
use speech || export SKIP_SPEECH_TESTS=1
edo ${PYTHON} setup.py test "${_test_excludes[@]/#/--exclude-test-name=}"
}
src_install() {
# Bug #352625 - Some LANGUAGE values can trigger the following ValueError:
# File '/usr/lib/python2.6/locale.py', line 486, in getdefaultlocale
# return _parse_localename(localename)
# File '/usr/lib/python2.6/locale.py', line 418, in _parse_localename
# raise ValueError, 'unknown locale: %s' % localename
#ValueError: unknown locale: 46
export -n LANG LANGUAGE ${!LC_*}
export LC_ALL=C.utf8 # bug #709682
# Bug #295672 - Avoid sandbox violation in ~/.config by forcing
# variables to point to our fake temporary $HOME.
export HOME="${T}/fake_homedir"
export CALIBRE_CONFIG_DIRECTORY="${HOME}/.config/calibre"
mkdir -p "${CALIBRE_CONFIG_DIRECTORY}" || die
addpredict /dev/dri #665310
# If this directory doesn't exist, zsh completion won't install
dodir /usr/share/zsh/site-functions
edo "${PYTHON}" setup.py install \
--staging-root="${ED}/usr" \
--prefix="${EPREFIX}/usr" \
--libdir="${EPREFIX}/usr/$(get_libdir)" \
--staging-libdir="${ED}/usr/$(get_libdir)" \
--system-plugins-location="${EPREFIX}/usr/share/calibre/system-plugins"
cp -r man-pages/ "${ED}"/usr/share/man || die
find "${ED}"/usr/share -type d -empty -delete || die
python_fix_shebang "${ED}/usr/bin"
python_optimize "${ED}"/usr/"$(get_libdir)"/calibre "${D}/$(python_get_sitedir)"
newinitd "${FILESDIR}"/calibre-server-3.init calibre-server
newconfd "${FILESDIR}"/calibre-server-3.conf calibre-server
}

View File

@ -5,21 +5,21 @@ EAPI=8
inherit unpacker
CUDA_V="12"
CUDA_V='12'
DESCRIPTION="NVIDIA Accelerated Deep Learning on GPU library"
HOMEPAGE="https://developer.nvidia.com/cudnn"
DESCRIPTION='NVIDIA Accelerated Deep Learning on GPU library'
HOMEPAGE='https://developer.nvidia.com/cudnn'
SRC_URI="https://developer.download.nvidia.com/compute/cudnn/redist/cudnn/linux-x86_64/cudnn-linux-x86_64-${PV}_cuda${CUDA_V}-archive.tar.xz"
S="${WORKDIR}/cudnn-linux-x86_64-${PV%%_*}_cuda${CUDA_V}-archive"
LICENSE="NVIDIA-cuDNN"
LICENSE='NVIDIA-cuDNN'
SLOT="0/$(ver_cut 1)"
KEYWORDS="-* ~amd64 ~amd64-linux"
RESTRICT="mirror"
KEYWORDS='-* ~amd64 ~amd64-linux'
RESTRICT='mirror'
RDEPEND="=dev-util/nvidia-cuda-toolkit-${CUDA_V}*"
QA_PREBUILT="/opt/cuda/targets/x86_64-linux/lib/*"
QA_PREBUILT='/opt/cuda/targets/x86_64-linux/lib/*'
src_install() {
insinto /opt/cuda/targets/x86_64-linux

View File

@ -5,21 +5,21 @@ EAPI=8
inherit unpacker
CUDA_V="12"
CUDA_V='12'
DESCRIPTION="NVIDIA Accelerated Deep Learning on GPU library"
HOMEPAGE="https://developer.nvidia.com/cudnn"
DESCRIPTION='NVIDIA Accelerated Deep Learning on GPU library'
HOMEPAGE='https://developer.nvidia.com/cudnn'
SRC_URI="https://developer.download.nvidia.com/compute/cudnn/redist/cudnn/linux-x86_64/cudnn-linux-x86_64-${PV}_cuda${CUDA_V}-archive.tar.xz"
S="${WORKDIR}/cudnn-linux-x86_64-${PV%%_*}_cuda${CUDA_V}-archive"
LICENSE="NVIDIA-cuDNN"
LICENSE='NVIDIA-cuDNN'
SLOT="0/$(ver_cut 1)"
KEYWORDS="-* ~amd64 ~amd64-linux"
RESTRICT="mirror"
KEYWORDS='-* ~amd64 ~amd64-linux'
RESTRICT='mirror'
RDEPEND="=dev-util/nvidia-cuda-toolkit-${CUDA_V}*"
QA_PREBUILT="/opt/cuda/targets/x86_64-linux/lib/*"
QA_PREBUILT='/opt/cuda/targets/x86_64-linux/lib/*'
src_install() {
insinto /opt/cuda/targets/x86_64-linux

View File

@ -1 +1,2 @@
DIST libportal-0.9.0.tar.xz 107488 BLAKE2B 8ec0b10511b0431e8b518b8ffbf3fc5c2d73d4f19c678aacd62042dc9082045eb0d438f4f476f61648673a947bf3054562f6de21c9dff7e6a03d00f96748d97e SHA512 b0c7a7f4b3f50b8bf9d5403b484b81127b6344907b409e87197fbc643111e03ef20532ce2012e285c25dedb8698a214b2decdf9fc48256a82ebe617bb3d05d79
DIST libportal-0.9.1.tar.xz 108572 BLAKE2B 3574d141a42802a38b6e276848bff86a557b77e3ab1f269cf9ccf59f0706ee68271c90c2e81ff8593fd271c5edb6d51dab86ff18a9ff5147f00b74e18f3b8e7d SHA512 445f0c9295220668123b9b3503bb5e75edef3ea939d6f28b159c0ded2f017b35b35e8a6013f550ac6a1f8a5fb9f04c93ce5ced39694bd14731da19172649c895

View File

@ -6,21 +6,21 @@ EAPI=8
PYTHON_COMPAT=( python3_{10..13} )
inherit flag-o-matic meson python-any-r1 vala virtualx
DESCRIPTION="Flatpak portal library"
HOMEPAGE="https://github.com/flatpak/libportal"
DESCRIPTION='Flatpak portal library'
HOMEPAGE='https://github.com/flatpak/libportal'
SRC_URI="https://github.com/flatpak/libportal/releases/download/${PV}/${P}.tar.xz"
LICENSE="LGPL-3"
SLOT="0/1-1-1-1" # soname of libportal{,-gtk3,-gtk4,-qt5}.so
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
IUSE="gtk gtk-doc +introspection qt5 test +vala wayland X"
RESTRICT="!test? ( test )"
REQUIRED_USE="
LICENSE='LGPL-3'
SLOT='0/1-1-1-1' # soname of libportal{,-gtk3,-gtk4,-qt5}.so
KEYWORDS='~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86'
IUSE='gtk gtk-doc +introspection qt5 test +vala wayland X'
RESTRICT='!test? ( test )'
REQUIRED_USE='
gtk-doc? ( introspection )
vala? ( introspection )
"
'
RDEPEND="
RDEPEND='
>=dev-libs/glib-2.58:2
introspection? ( dev-libs/gobject-introspection:= )
gtk? (
@ -33,7 +33,7 @@ RDEPEND="
dev-qt/qtx11extras:=
dev-qt/qtwidgets:=
)
"
'
DEPEND="${RDEPEND}
qt5? (
test? ( dev-qt/qttest:= )

View File

@ -0,0 +1,113 @@
# Copyright 2022-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..13} )
inherit flag-o-matic meson python-any-r1 vala virtualx
DESCRIPTION='Flatpak portal library'
HOMEPAGE='https://github.com/flatpak/libportal'
SRC_URI="https://github.com/flatpak/libportal/releases/download/${PV}/${P}.tar.xz"
LICENSE='LGPL-3'
SLOT='0/1-1-1-1' # soname of libportal{,-gtk3,-gtk4,-qt5}.so
KEYWORDS='~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86'
IUSE='gtk gtk-doc +introspection qt5 test +vala wayland X'
RESTRICT='!test? ( test )'
REQUIRED_USE='
gtk-doc? ( introspection )
vala? ( introspection )
'
RDEPEND='
>=dev-libs/glib-2.58:2
introspection? ( dev-libs/gobject-introspection:= )
gtk? (
>=x11-libs/gtk+-3.24.41-r1:3[X?,wayland?]
>=gui-libs/gtk-4.12.5-r2:4[X?,wayland?]
)
qt5? (
dev-qt/qtcore:=
dev-qt/qtgui:=
dev-qt/qtx11extras:=
dev-qt/qtwidgets:=
)
'
DEPEND="${RDEPEND}
qt5? (
test? ( dev-qt/qttest:= )
)
"
BDEPEND="
dev-util/glib-utils
virtual/pkgconfig
gtk-doc? ( dev-util/gi-docgen )
qt5? (
test? ( dev-qt/linguist-tools )
)
test? (
${PYTHON_DEPS}
$(python_gen_any_dep '
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/dbus-python[${PYTHON_USEDEP}]
dev-python/python-dbusmock[${PYTHON_USEDEP}]
')
)
vala? ( $(vala_depend) )
"
python_check_deps() {
python_has_version \
"dev-python/pytest[${PYTHON_USEDEP}]" \
"dev-python/dbus-python[${PYTHON_USEDEP}]" \
"dev-python/python-dbusmock[${PYTHON_USEDEP}]"
}
pkg_setup() {
if use test; then
python-any-r1_pkg_setup
fi
}
src_prepare() {
default
vala_setup
}
src_configure() {
# defang automagic dependencies
use wayland || append-cflags -DGENTOO_GTK_HIDE_WAYLAND
use X || append-cflags -DGENTOO_GTK_HIDE_X11
local emesonargs=(
$(meson_feature gtk backend-gtk3)
$(meson_feature gtk backend-gtk4)
$(meson_feature qt5 backend-qt5)
-Dportal-tests=false
$(meson_use introspection)
$(meson_use vala vapi)
$(meson_use gtk-doc docs)
$(meson_use test tests)
)
meson_src_configure
}
src_test() {
# Tests only exist for Qt5
if use qt5; then
virtx meson_src_test
else
# run meson_src_test to notice if tests are added
meson_src_test
fi
}
src_install() {
meson_src_install
if use gtk-doc; then
mkdir -p "${ED}"/usr/share/gtk-doc/html/ || die
mv "${ED}"/usr/share/doc/${PN}-1 "${ED}"/usr/share/gtk-doc/html/ || die
fi
}

View File

@ -1,29 +1,28 @@
# $Header: $
EAPI="7"
DESCRIPTION="LaTeX package for drawing flags of countries using PSTricks"
HOMEPAGE="https://ctan.org/tex-archive/graphics/pstricks/contrib/pst-flags"
EAPI='7'
DESCRIPTION='LaTeX package for drawing flags of countries using PSTricks'
HOMEPAGE='https://ctan.org/tex-archive/graphics/pstricks/contrib/pst-flags'
SRC_URI="http://mirrors.ctan.org/graphics/pstricks/contrib/pst-flags.zip -> ${P}.zip"
LICENSE="lppl-1-3c"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~m68k ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos"
DEPEND="app-text/texlive
app-arch/unzip"
LICENSE='lppl-1-3c'
SLOT='0'
KEYWORDS='~alpha ~amd64 ~arm ~hppa ~m68k ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos'
DEPEND='app-text/texlive app-arch/unzip'
src_unpack() {
if [[ -n ${A} ]]; then
unpack ${A}
mv ${PN} ${P}
unpack "${A}"
mv "${PN}" "${P}"
fi
}
src_install() {
dodoc README.md doc/amm-pst-doc.cls doc/${PN}-examples.tex doc/${PN}-doc.tex doc/${PN}-doc.pdf
dodoc README.md doc/amm-pst-doc.cls doc/"${PN}"-examples.tex doc/"${PN}"-doc.tex doc/"${PN}"-doc.pdf
insinto /usr/share/texmf-dist/tex/${PN}
doins tex/${PN}.sty
doins tex/${PN}-colors-html.sty
insinto /usr/share/texmf-dist/tex/${PN}/Flags
insinto /usr/share/texmf-dist/tex/"${PN}"
doins tex/"${PN}".sty
doins tex/"${PN}"-colors-html.sty
insinto /usr/share/texmf-dist/tex/"${PN}"/Flags
doins tex/Flags/*.tex
doins tex/Flags/*.eps
}

View File

@ -1,27 +1,26 @@
# $Header: $
EAPI="7"
DESCRIPTION="Drawing flags with TikZ, by Wilhelm Haager"
HOMEPAGE="https://www.ctan.org/pkg/worldflags"
EAPI='7'
DESCRIPTION='Drawing flags with TikZ, by Wilhelm Haager'
HOMEPAGE='https://www.ctan.org/pkg/worldflags'
SRC_URI="https://mirrors.ctan.org/graphics/pgf/contrib/worldflags.zip -> ${P}.zip"
LICENSE="lppl-1-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~m68k ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos"
DEPEND="app-text/texlive
app-arch/unzip"
LICENSE='lppl-1-3'
SLOT='0'
KEYWORDS='~alpha ~amd64 ~arm ~hppa ~m68k ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos'
DEPEND='app-text/texlive app-arch/unzip'
src_unpack() {
if [[ -n ${A} ]]; then
unpack ${A}
mv ${PN} ${P}
unpack "${A}"
mv "${PN}" "${P}"
fi
}
src_install() {
dodoc README doc/${PN}.pdf doc/${PN}.tex
dodoc README doc/"${PN}".pdf doc/"${PN}".tex
insinto /usr/share/texmf-dist/tex/${PN}
doins tex/${PN}.sty
insinto /usr/share/texmf-dist/tex/"${PN}"
doins tex/"${PN}".sty
doins tex/*.tex
doins tex/*.pdf
}

View File

@ -5,22 +5,22 @@ EAPI=8
inherit check-reqs toolchain-funcs unpacker
DRIVER_PV="560.35.05"
DRIVER_PV='560.35.05'
DESCRIPTION="NVIDIA CUDA Toolkit (compiler and friends)"
HOMEPAGE="https://developer.nvidia.com/cuda-zone"
DESCRIPTION='NVIDIA CUDA Toolkit (compiler and friends)'
HOMEPAGE='https://developer.nvidia.com/cuda-zone'
SRC_URI="https://developer.download.nvidia.com/compute/cuda/${PV}/local_installers/cuda_${PV}_${DRIVER_PV}_linux.run"
S="${WORKDIR}"
LICENSE="NVIDIA-CUDA"
LICENSE='NVIDIA-CUDA'
SLOT="0/${PV}"
KEYWORDS="-* ~amd64 ~amd64-linux"
IUSE="debugger examples nsight profiler rdma vis-profiler sanitizer"
RESTRICT="bindist mirror"
KEYWORDS='-* ~amd64 ~amd64-linux'
IUSE='debugger examples nsight profiler rdma vis-profiler sanitizer'
RESTRICT='bindist mirror'
# since CUDA 11, the bundled toolkit driver (== ${DRIVER_PV}) and the
# actual required minimum driver version are different.
RDEPEND="
RDEPEND='
<sys-devel/gcc-14_pre[cxx]
virtual/libcrypt
examples? (
@ -39,11 +39,11 @@ RDEPEND="
rdma? ( sys-cluster/rdma-core )
vis-profiler? (
>=virtual/jre-1.8:*
)"
BDEPEND="nsight? ( dev-util/patchelf )"
)'
BDEPEND='nsight? ( dev-util/patchelf )'
QA_PREBUILT="opt/cuda/*"
CHECKREQS_DISK_BUILD="15000M"
QA_PREBUILT='opt/cuda/*'
CHECKREQS_DISK_BUILD='15000M'
pkg_setup() {
check-reqs_pkg_setup
@ -52,7 +52,7 @@ pkg_setup() {
src_prepare() {
# ATTENTION: change requires revbump, see link below for supported GCC # versions
# https://docs.nvidia.com/cuda/cuda-installation-guide-linux/index.html#system-requirements
local cuda_supported_gcc="8.5 9.5 10 11 12 13"
local cuda_supported_gcc='8.5 9.5 10 11 12 13'
sed \
-e "s:CUDA_SUPPORTED_GCC:${cuda_supported_gcc}:g" \
@ -73,9 +73,9 @@ src_install() {
builds/cuda_{cccl,cudart,cuobjdump,cuxxfilt,demo_suite,nvcc,nvdisasm,nvml_dev,nvprune,nvrtc,nvtx,opencl}
builds/lib{cublas,cufft,cufile,curand,cusolver,cusparse,npp,nvjitlink,nvjpeg}
builds/nvidia_fs
$(usex profiler "builds/cuda_nvprof builds/cuda_cupti builds/cuda_profiler_api" "")
$(usex vis-profiler "builds/cuda_nvvp" "")
$(usex debugger "builds/cuda_gdb" "")
$(usex profiler 'builds/cuda_nvprof builds/cuda_cupti builds/cuda_profiler_api' '')
$(usex vis-profiler 'builds/cuda_nvvp' '')
$(usex debugger 'builds/cuda_gdb' '')
)
local d f
@ -84,7 +84,7 @@ src_install() {
[[ -d ${d} ]] || die "Directory does not exist: ${d}"
if [[ -d ${d}/bin ]]; then
for f in ${d}/bin/*; do
for f in "${d}"/bin/*; do
if [[ -f ${f} ]]; then
dobin "${f}"
else
@ -110,17 +110,17 @@ src_install() {
doins builds/EULA.txt
# nvml and nvvm need special handling
ebegin "Installing nvvm"
ebegin 'Installing nvvm'
doins -r builds/cuda_nvcc/nvvm
fperms +x ${cudadir}/nvvm/bin/cicc
eend $?
ebegin "Installing nvml"
ebegin 'Installing nvml'
doins -r builds/cuda_nvml_dev/nvml
eend $?
if use sanitizer; then
ebegin "Installing sanitizer"
ebegin 'Installing sanitizer'
dobin builds/integration/Sanitizer/compute-sanitizer
doins -r builds/cuda_sanitizer_api/compute-sanitizer
# special handling for the executable
@ -132,7 +132,7 @@ src_install() {
use profiler && ldpathextradirs+=":${ecudadir}/extras/CUPTI/lib64"
if use vis-profiler; then
ebegin "Installing libnvvp"
ebegin 'Installing libnvvp'
doins -r builds/cuda_nvvp/libnvvp
# special handling for the executable
fperms +x ${cudadir}/libnvvp/nvvp
@ -141,24 +141,25 @@ src_install() {
fi
if use nsight; then
local ncu_dir=$(grep -o 'nsight-compute-[0-9][0-9\.]*' -m1 manifests/cuda_x86_64.xml)
local ncu_dir
ncu_dir=$(grep -o 'nsight-compute-[0-9][0-9\.]*' -m1 manifests/cuda_x86_64.xml)
ebegin "Installing ${ncu_dir}"
mv builds/nsight_compute builds/${ncu_dir} || die
doins -r builds/${ncu_dir}
mv builds/nsight_compute builds/"${ncu_dir}" || die
doins -r builds/"${ncu_dir}"
# check this list on every bump
local exes=(
${ncu_dir}/ncu
${ncu_dir}/ncu-ui
${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/libexec/QtWebEngineProcess
${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/CrashReporter
${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/OpenGLVersionChecker
${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/QdstrmImporter
${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/ncu-ui
${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/ncu-ui.bin
${ncu_dir}/target/linux-desktop-glibc_2_11_3-x64/TreeLauncherSubreaper
${ncu_dir}/target/linux-desktop-glibc_2_11_3-x64/TreeLauncherTargetLdPreloadHelper
${ncu_dir}/target/linux-desktop-glibc_2_11_3-x64/ncu
"${ncu_dir}"/ncu
"${ncu_dir}"/ncu-ui
"${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/libexec/QtWebEngineProcess
"${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/CrashReporter
"${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/OpenGLVersionChecker
"${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/QdstrmImporter
"${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/ncu-ui
"${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/ncu-ui.bin
"${ncu_dir}"/target/linux-desktop-glibc_2_11_3-x64/TreeLauncherSubreaper
"${ncu_dir}"/target/linux-desktop-glibc_2_11_3-x64/TreeLauncherTargetLdPreloadHelper
"${ncu_dir}"/target/linux-desktop-glibc_2_11_3-x64/ncu
)
dobin builds/integration/nsight-compute/{ncu,ncu-ui}
@ -166,35 +167,36 @@ src_install() {
# remove rdma libs (unless USE=rdma)
if ! use rdma; then
rm -r "${ED}"/${cudadir}/${ncu_dir}/host/target-linux-x64/CollectX || die
rm -r "${ED}/${cudadir}/${ncu_dir}"/host/target-linux-x64/CollectX || die
fi
local nsys_dir=$(grep -o 'nsight-systems-[0-9][0-9\.]*' -m1 manifests/cuda_x86_64.xml)
local nsys_dir
nsys_dir=$(grep -o 'nsight-systems-[0-9][0-9\.]*' -m1 manifests/cuda_x86_64.xml)
ebegin "Installing ${nsys_dir}"
mv builds/nsight_systems builds/${nsys_dir} || die
doins -r builds/${nsys_dir}
mv builds/nsight_systems builds/"${nsys_dir}" || die
doins -r builds/"${nsys_dir}"
# check this list on every bump
exes+=(
${nsys_dir}/host-linux-x64/nsys-ui
${nsys_dir}/host-linux-x64/nsys-ui.bin
${nsys_dir}/host-linux-x64/ResolveSymbols
${nsys_dir}/host-linux-x64/ImportNvtxt
${nsys_dir}/host-linux-x64/CrashReporter
${nsys_dir}/host-linux-x64/QdstrmImporter
${nsys_dir}/host-linux-x64/libexec/QtWebEngineProcess
${nsys_dir}/target-linux-x64/nsys
${nsys_dir}/target-linux-x64/launcher
${nsys_dir}/target-linux-x64/nvgpucs
${nsys_dir}/target-linux-x64/nsys-launcher
${nsys_dir}/target-linux-x64/sqlite3
${nsys_dir}/target-linux-x64/python/bin/python
${nsys_dir}/target-linux-x64/CudaGpuInfoDumper
"${nsys_dir}"/host-linux-x64/nsys-ui
"${nsys_dir}"/host-linux-x64/nsys-ui.bin
"${nsys_dir}"/host-linux-x64/ResolveSymbols
"${nsys_dir}"/host-linux-x64/ImportNvtxt
"${nsys_dir}"/host-linux-x64/CrashReporter
"${nsys_dir}"/host-linux-x64/QdstrmImporter
"${nsys_dir}"/host-linux-x64/libexec/QtWebEngineProcess
"${nsys_dir}"/target-linux-x64/nsys
"${nsys_dir}"/target-linux-x64/launcher
"${nsys_dir}"/target-linux-x64/nvgpucs
"${nsys_dir}"/target-linux-x64/nsys-launcher
"${nsys_dir}"/target-linux-x64/sqlite3
"${nsys_dir}"/target-linux-x64/python/bin/python
"${nsys_dir}"/target-linux-x64/CudaGpuInfoDumper
)
# remove rdma libs (unless USE=rdma)
if ! use rdma; then
rm -r "${ED}"/${cudadir}/${nsys_dir}/target-linux-x64/CollectX || die
rm -r "${ED}/${cudadir}/${nsys_dir}"/target-linux-x64/CollectX || die
fi
dobin builds/integration/nsight-systems/{nsight-sys,nsys,nsys-ui}
@ -202,27 +204,27 @@ src_install() {
# nsight scripts and binaries need to have their executable bit set, #691284
for f in "${exes[@]}"; do
fperms +x ${cudadir}/${f}
fperms +x "${cudadir}/${f}"
done
# fix broken RPATHs
patchelf --set-rpath '$ORIGIN' \
"${ED}"/${cudadir}/${ncu_dir}/host/{linux-desktop-glibc_2_11_3-x64,target-linux-x64}/{libarrow.so,libparquet.so.500.0.0} || die
"${ED}/${cudadir}/${ncu_dir}"/host/{linux-desktop-glibc_2_11_3-x64,target-linux-x64}/{libarrow.so,libparquet.so.500.0.0} || die
patchelf --set-rpath '$ORIGIN' \
"${ED}"/${cudadir}/${nsys_dir}/{host-linux-x64,target-linux-x64}/{libarrow.so,libparquet.so.500.0.0} || die
"${ED}/${cudadir}/${nsys_dir}"/{host-linux-x64,target-linux-x64}/{libarrow.so,libparquet.so.500.0.0} || die
# remove foreign archs (triggers SONAME warning, #749903)
rm -r "${ED}"/${cudadir}/${ncu_dir}/target/linux-desktop-t210-a64 || die
rm -r "${ED}/${cudadir}/${ncu_dir}"/target/linux-desktop-t210-a64 || die
# unbundle libstdc++
rm "${ED}"/${cudadir}/${nsys_dir}/host-linux-x64/libstdc++.so.6 || die
rm "${ED}/${cudadir}/${nsys_dir}"/host-linux-x64/libstdc++.so.6 || die
# unbundle openssl
rm "${ED}"/${cudadir}/${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/lib{crypto,ssl}.so* || die
rm "${ED}"/${cudadir}/${nsys_dir}/host-linux-x64/lib{crypto,ssl}.so* || die
rm "${ED}/${cudadir}/${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/lib{crypto,ssl}.so* || die
rm "${ED}/${cudadir}/${nsys_dir}"/host-linux-x64/lib{crypto,ssl}.so* || die
# unbundle libpfm
rm "${ED}"/${cudadir}/${nsys_dir}/host-linux-x64/libpfm.so* || die
rm "${ED}/${cudadir}/${nsys_dir}"/host-linux-x64/libpfm.so* || die
# TODO: unbundle qt5
# TODO: unbundle boost
@ -245,7 +247,7 @@ src_install() {
# set executable bit on demo_suite binaries
for f in "${exes[@]}"; do
fperms +x ${cudadir}/${f}
fperms +x "${cudadir}/${f}"
done
else
rm -r "${ED}"/${cudadir}/extras/demo_suite || die
@ -277,20 +279,21 @@ src_install() {
# Cuda prepackages libraries, don't revdep-build on them
insinto /etc/revdep-rebuild
newins - 80${PN} <<-EOF
newins - "80${PN}" <<-EOF
SEARCH_DIRS_MASK="${ecudadir}"
EOF
# https://bugs.gentoo.org/926116
insinto /etc/sandbox.d
newins - 80${PN} <<-EOF
SANDBOX_PREDICT="/proc/self/task"
newins - "80${PN}" <<-EOF
SANDBOX_PREDICT='/proc/self/task'
EOF
}
pkg_postinst_check() {
local a="$("${EROOT}"/opt/cuda/bin/cuda-config -s)"
local b="0.0"
local a
a="$("${EROOT}"/opt/cuda/bin/cuda-config -s)"
local b='0.0'
local v
for v in ${a}; do
ver_test "${v}" -gt "${b}" && b="${v}"
@ -298,13 +301,13 @@ pkg_postinst_check() {
# if gcc and if not gcc-version is at least greatest supported
if tc-is-gcc && \
ver_test $(gcc-version) -gt "${b}"; then
ver_test "$(gcc-version)" -gt "${b}"; then
ewarn
ewarn "gcc > ${b} will not work with CUDA"
ewarn "Make sure you set an earlier version of gcc with gcc-config"
ewarn "or append --compiler-bindir= pointing to a gcc bindir like"
ewarn 'Make sure you set an earlier version of gcc with gcc-config'
ewarn 'or append --compiler-bindir= pointing to a gcc bindir like'
ewarn "--compiler-bindir=${EPREFIX}/usr/*pc-linux-gnu/gcc-bin/gcc${b}"
ewarn "to the nvcc compiler flags"
ewarn 'to the nvcc compiler flags'
ewarn
fi
}
@ -316,13 +319,13 @@ pkg_postinst() {
if use profiler || use nsight; then
einfo
einfo "nvidia-drivers restrict access to performance counters."
einfo 'nvidia-drivers restrict access to performance counters.'
einfo "You'll need to either run profiling tools (nvprof, nsight) "
einfo "using sudo (needs cap SYS_ADMIN) or add the following line to "
einfo "a modprobe configuration file "
einfo "(e.g. /etc/modprobe.d/nvidia-prof.conf): "
einfo 'using sudo (needs cap SYS_ADMIN) or add the following line to '
einfo 'a modprobe configuration file '
einfo '(e.g. /etc/modprobe.d/nvidia-prof.conf): '
einfo
einfo "options nvidia NVreg_RestrictProfilingToAdminUsers=0"
einfo 'options nvidia NVreg_RestrictProfilingToAdminUsers=0'
einfo
fi
}

View File

@ -5,22 +5,22 @@ EAPI=8
inherit check-reqs toolchain-funcs unpacker
DRIVER_PV="570.86.10"
DRIVER_PV='570.86.10'
DESCRIPTION="NVIDIA CUDA Toolkit (compiler and friends)"
HOMEPAGE="https://developer.nvidia.com/cuda-zone"
DESCRIPTION='NVIDIA CUDA Toolkit (compiler and friends)'
HOMEPAGE='https://developer.nvidia.com/cuda-zone'
SRC_URI="https://developer.download.nvidia.com/compute/cuda/${PV}/local_installers/cuda_${PV}_${DRIVER_PV}_linux.run"
S="${WORKDIR}"
LICENSE="NVIDIA-CUDA"
LICENSE='NVIDIA-CUDA'
SLOT="0/${PV}"
KEYWORDS="-* ~amd64 ~amd64-linux"
IUSE="debugger examples nsight profiler rdma vis-profiler sanitizer"
RESTRICT="bindist mirror"
KEYWORDS='-* ~amd64 ~amd64-linux'
IUSE='debugger examples nsight profiler rdma vis-profiler sanitizer'
RESTRICT='bindist mirror'
# since CUDA 11, the bundled toolkit driver (== ${DRIVER_PV}) and the
# actual required minimum driver version are different.
RDEPEND="
RDEPEND='
<sys-devel/gcc-14_pre[cxx]
virtual/libcrypt
examples? (
@ -39,11 +39,11 @@ RDEPEND="
rdma? ( sys-cluster/rdma-core )
vis-profiler? (
>=virtual/jre-1.8:*
)"
BDEPEND="nsight? ( dev-util/patchelf )"
)'
BDEPEND='nsight? ( dev-util/patchelf )'
QA_PREBUILT="opt/cuda/*"
CHECKREQS_DISK_BUILD="15000M"
QA_PREBUILT='opt/cuda/*'
CHECKREQS_DISK_BUILD='15000M'
pkg_setup() {
check-reqs_pkg_setup
@ -52,7 +52,7 @@ pkg_setup() {
src_prepare() {
# ATTENTION: change requires revbump, see link below for supported GCC # versions
# https://docs.nvidia.com/cuda/cuda-installation-guide-linux/index.html#system-requirements
local cuda_supported_gcc="8.5 9.5 10 11 12 13"
local cuda_supported_gcc='8.5 9.5 10 11 12 13'
sed \
-e "s:CUDA_SUPPORTED_GCC:${cuda_supported_gcc}:g" \
@ -73,9 +73,9 @@ src_install() {
builds/cuda_{cccl,cudart,cuobjdump,cuxxfilt,demo_suite,nvcc,nvdisasm,nvml_dev,nvprune,nvrtc,nvtx,opencl}
builds/lib{cublas,cufft,cufile,curand,cusolver,cusparse,npp,nvjitlink,nvjpeg}
builds/nvidia_fs
$(usex profiler "builds/cuda_nvprof builds/cuda_cupti builds/cuda_profiler_api" "")
$(usex vis-profiler "builds/cuda_nvvp" "")
$(usex debugger "builds/cuda_gdb" "")
$(usex profiler 'builds/cuda_nvprof builds/cuda_cupti builds/cuda_profiler_api' '')
$(usex vis-profiler 'builds/cuda_nvvp' '')
$(usex debugger 'builds/cuda_gdb' '')
)
local d f
@ -84,7 +84,7 @@ src_install() {
[[ -d ${d} ]] || die "Directory does not exist: ${d}"
if [[ -d ${d}/bin ]]; then
for f in ${d}/bin/*; do
for f in "${d}"/bin/*; do
if [[ -f ${f} ]]; then
dobin "${f}"
else
@ -110,17 +110,17 @@ src_install() {
doins builds/EULA.txt
# nvml and nvvm need special handling
ebegin "Installing nvvm"
ebegin 'Installing nvvm'
doins -r builds/cuda_nvcc/nvvm
fperms +x ${cudadir}/nvvm/bin/cicc
eend $?
ebegin "Installing nvml"
ebegin 'Installing nvml'
doins -r builds/cuda_nvml_dev/nvml
eend $?
if use sanitizer; then
ebegin "Installing sanitizer"
ebegin 'Installing sanitizer'
dobin builds/integration/Sanitizer/compute-sanitizer
doins -r builds/cuda_sanitizer_api/compute-sanitizer
# special handling for the executable
@ -132,7 +132,7 @@ src_install() {
use profiler && ldpathextradirs+=":${ecudadir}/extras/CUPTI/lib64"
if use vis-profiler; then
ebegin "Installing libnvvp"
ebegin 'Installing libnvvp'
doins -r builds/cuda_nvvp/libnvvp
# special handling for the executable
fperms +x ${cudadir}/libnvvp/nvvp
@ -141,24 +141,25 @@ src_install() {
fi
if use nsight; then
local ncu_dir=$(grep -o 'nsight-compute-[0-9][0-9\.]*' -m1 manifests/cuda_x86_64.xml)
local ncu_dir
ncu_dir=$(grep -o 'nsight-compute-[0-9][0-9\.]*' -m1 manifests/cuda_x86_64.xml)
ebegin "Installing ${ncu_dir}"
mv builds/nsight_compute builds/${ncu_dir} || die
doins -r builds/${ncu_dir}
mv builds/nsight_compute builds/"${ncu_dir}" || die
doins -r builds/"${ncu_dir}"
# check this list on every bump
local exes=(
${ncu_dir}/ncu
${ncu_dir}/ncu-ui
${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/libexec/QtWebEngineProcess
${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/CrashReporter
${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/OpenGLVersionChecker
${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/QdstrmImporter
${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/ncu-ui
${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/ncu-ui.bin
${ncu_dir}/target/linux-desktop-glibc_2_11_3-x64/TreeLauncherSubreaper
${ncu_dir}/target/linux-desktop-glibc_2_11_3-x64/TreeLauncherTargetLdPreloadHelper
${ncu_dir}/target/linux-desktop-glibc_2_11_3-x64/ncu
"${ncu_dir}"/ncu
"${ncu_dir}"/ncu-ui
"${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/libexec/QtWebEngineProcess
"${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/CrashReporter
"${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/OpenGLVersionChecker
"${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/QdstrmImporter
"${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/ncu-ui
"${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/ncu-ui.bin
"${ncu_dir}"/target/linux-desktop-glibc_2_11_3-x64/TreeLauncherSubreaper
"${ncu_dir}"/target/linux-desktop-glibc_2_11_3-x64/TreeLauncherTargetLdPreloadHelper
"${ncu_dir}"/target/linux-desktop-glibc_2_11_3-x64/ncu
)
dobin builds/integration/nsight-compute/{ncu,ncu-ui}
@ -166,35 +167,36 @@ src_install() {
# remove rdma libs (unless USE=rdma)
if ! use rdma; then
rm -r "${ED}"/${cudadir}/${ncu_dir}/host/target-linux-x64/CollectX || die
rm -r "${ED}/${cudadir}/${ncu_dir}"/host/target-linux-x64/CollectX || die
fi
local nsys_dir=$(grep -o 'nsight-systems-[0-9][0-9\.]*' -m1 manifests/cuda_x86_64.xml)
local nsys_dir
nsys_dir=$(grep -o 'nsight-systems-[0-9][0-9\.]*' -m1 manifests/cuda_x86_64.xml)
ebegin "Installing ${nsys_dir}"
mv builds/nsight_systems builds/${nsys_dir} || die
doins -r builds/${nsys_dir}
mv builds/nsight_systems builds/"${nsys_dir}" || die
doins -r builds/"${nsys_dir}"
# check this list on every bump
exes+=(
${nsys_dir}/host-linux-x64/nsys-ui
${nsys_dir}/host-linux-x64/nsys-ui.bin
${nsys_dir}/host-linux-x64/ResolveSymbols
${nsys_dir}/host-linux-x64/ImportNvtxt
${nsys_dir}/host-linux-x64/CrashReporter
${nsys_dir}/host-linux-x64/QdstrmImporter
${nsys_dir}/host-linux-x64/libexec/QtWebEngineProcess
${nsys_dir}/target-linux-x64/nsys
${nsys_dir}/target-linux-x64/launcher
${nsys_dir}/target-linux-x64/nvgpucs
${nsys_dir}/target-linux-x64/nsys-launcher
${nsys_dir}/target-linux-x64/sqlite3
${nsys_dir}/target-linux-x64/python/bin/python
${nsys_dir}/target-linux-x64/CudaGpuInfoDumper
"${nsys_dir}"/host-linux-x64/nsys-ui
"${nsys_dir}"/host-linux-x64/nsys-ui.bin
"${nsys_dir}"/host-linux-x64/ResolveSymbols
"${nsys_dir}"/host-linux-x64/ImportNvtxt
"${nsys_dir}"/host-linux-x64/CrashReporter
"${nsys_dir}"/host-linux-x64/QdstrmImporter
"${nsys_dir}"/host-linux-x64/libexec/QtWebEngineProcess
"${nsys_dir}"/target-linux-x64/nsys
"${nsys_dir}"/target-linux-x64/launcher
"${nsys_dir}"/target-linux-x64/nvgpucs
"${nsys_dir}"/target-linux-x64/nsys-launcher
"${nsys_dir}"/target-linux-x64/sqlite3
"${nsys_dir}"/target-linux-x64/python/bin/python
"${nsys_dir}"/target-linux-x64/CudaGpuInfoDumper
)
# remove rdma libs (unless USE=rdma)
if ! use rdma; then
rm -r "${ED}"/${cudadir}/${nsys_dir}/target-linux-x64/CollectX || die
rm -r "${ED}/${cudadir}/${nsys_dir}"/target-linux-x64/CollectX || die
fi
dobin builds/integration/nsight-systems/{nsight-sys,nsys,nsys-ui}
@ -202,27 +204,27 @@ src_install() {
# nsight scripts and binaries need to have their executable bit set, #691284
for f in "${exes[@]}"; do
fperms +x ${cudadir}/${f}
fperms +x "${cudadir}/${f}"
done
# fix broken RPATHs
patchelf --set-rpath '$ORIGIN' \
"${ED}"/${cudadir}/${ncu_dir}/host/{linux-desktop-glibc_2_11_3-x64,target-linux-x64}/{libarrow.so,libparquet.so.500.0.0} || die
"${ED}/${cudadir}/${ncu_dir}"/host/{linux-desktop-glibc_2_11_3-x64,target-linux-x64}/{libarrow.so,libparquet.so.500.0.0} || die
patchelf --set-rpath '$ORIGIN' \
"${ED}"/${cudadir}/${nsys_dir}/{host-linux-x64,target-linux-x64}/{libarrow.so,libparquet.so.500.0.0} || die
"${ED}/${cudadir}/${nsys_dir}"/{host-linux-x64,target-linux-x64}/{libarrow.so,libparquet.so.500.0.0} || die
# remove foreign archs (triggers SONAME warning, #749903)
rm -r "${ED}"/${cudadir}/${ncu_dir}/target/linux-desktop-t210-a64 || die
rm -r "${ED}/${cudadir}/${ncu_dir}"/target/linux-desktop-t210-a64 || die
# unbundle libstdc++
rm "${ED}"/${cudadir}/${nsys_dir}/host-linux-x64/libstdc++.so.6 || die
rm "${ED}/${cudadir}/${nsys_dir}"/host-linux-x64/libstdc++.so.6 || die
# unbundle openssl
rm "${ED}"/${cudadir}/${ncu_dir}/host/linux-desktop-glibc_2_11_3-x64/lib{crypto,ssl}.so* || die
rm "${ED}"/${cudadir}/${nsys_dir}/host-linux-x64/lib{crypto,ssl}.so* || die
rm "${ED}/${cudadir}/${ncu_dir}"/host/linux-desktop-glibc_2_11_3-x64/lib{crypto,ssl}.so* || die
rm "${ED}/${cudadir}/${nsys_dir}"/host-linux-x64/lib{crypto,ssl}.so* || die
# unbundle libpfm
rm "${ED}"/${cudadir}/${nsys_dir}/host-linux-x64/libpfm.so* || die
rm "${ED}/${cudadir}/${nsys_dir}"/host-linux-x64/libpfm.so* || die
# TODO: unbundle qt5
# TODO: unbundle boost
@ -245,7 +247,7 @@ src_install() {
# set executable bit on demo_suite binaries
for f in "${exes[@]}"; do
fperms +x ${cudadir}/${f}
fperms +x "${cudadir}/${f}"
done
else
rm -r "${ED}"/${cudadir}/extras/demo_suite || die
@ -277,20 +279,21 @@ src_install() {
# Cuda prepackages libraries, don't revdep-build on them
insinto /etc/revdep-rebuild
newins - 80${PN} <<-EOF
newins - "80${PN}" <<-EOF
SEARCH_DIRS_MASK="${ecudadir}"
EOF
# https://bugs.gentoo.org/926116
insinto /etc/sandbox.d
newins - 80${PN} <<-EOF
SANDBOX_PREDICT="/proc/self/task"
newins - "80${PN}" <<-EOF
SANDBOX_PREDICT='/proc/self/task'
EOF
}
pkg_postinst_check() {
local a="$("${EROOT}"/opt/cuda/bin/cuda-config -s)"
local b="0.0"
local a
a="$("${EROOT}"/opt/cuda/bin/cuda-config -s)"
local b='0.0'
local v
for v in ${a}; do
ver_test "${v}" -gt "${b}" && b="${v}"
@ -298,13 +301,13 @@ pkg_postinst_check() {
# if gcc and if not gcc-version is at least greatest supported
if tc-is-gcc && \
ver_test $(gcc-version) -gt "${b}"; then
ver_test "$(gcc-version)" -gt "${b}"; then
ewarn
ewarn "gcc > ${b} will not work with CUDA"
ewarn "Make sure you set an earlier version of gcc with gcc-config"
ewarn "or append --compiler-bindir= pointing to a gcc bindir like"
ewarn 'Make sure you set an earlier version of gcc with gcc-config'
ewarn 'or append --compiler-bindir= pointing to a gcc bindir like'
ewarn "--compiler-bindir=${EPREFIX}/usr/*pc-linux-gnu/gcc-bin/gcc${b}"
ewarn "to the nvcc compiler flags"
ewarn 'to the nvcc compiler flags'
ewarn
fi
}
@ -316,13 +319,13 @@ pkg_postinst() {
if use profiler || use nsight; then
einfo
einfo "nvidia-drivers restrict access to performance counters."
einfo 'nvidia-drivers restrict access to performance counters.'
einfo "You'll need to either run profiling tools (nvprof, nsight) "
einfo "using sudo (needs cap SYS_ADMIN) or add the following line to "
einfo "a modprobe configuration file "
einfo "(e.g. /etc/modprobe.d/nvidia-prof.conf): "
einfo 'using sudo (needs cap SYS_ADMIN) or add the following line to '
einfo 'a modprobe configuration file '
einfo '(e.g. /etc/modprobe.d/nvidia-prof.conf): '
einfo
einfo "options nvidia NVreg_RestrictProfilingToAdminUsers=0"
einfo 'options nvidia NVreg_RestrictProfilingToAdminUsers=0'
einfo
fi
}

View File

@ -5,15 +5,15 @@ EAPI=8
inherit go-module
DESCRIPTION="Simple terminal UI for git commands"
HOMEPAGE="https://github.com/jesseduffield/lazygit"
DESCRIPTION='Simple terminal UI for git commands'
HOMEPAGE='https://github.com/jesseduffield/lazygit'
SRC_URI="https://github.com/jesseduffield/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0 BSD ISC MIT Unlicense"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
LICENSE='Apache-2.0 BSD ISC MIT Unlicense'
SLOT='0'
KEYWORDS='~amd64 ~arm64'
RDEPEND="dev-vcs/git"
RDEPEND='dev-vcs/git'
DOCS=( {CODE-OF-CONDUCT,CONTRIBUTING,README}.md docs )

View File

@ -85,12 +85,13 @@ LICENSE='OFL-1.1'
SLOT='0'
KEYWORDS='~amd64'
IUSE_FONTS='0xproto 3270 agave anonymouspro arimo aurulentsansmono bigblueterminal bitstreamverasansmono cascadiacode cascadiamono codenewroman
comicshannsmono commitmono cousine departuremono d2coding daddytimemono dejavusansmono droidsansmono envycoder fantasquesansmono firacode firamono
geistmono gomono gohu hack hasklig heavydata hermit iawriter ibmplexmono inconsolata inconsolatago inconsolatalgc intelonemono iosevka iosevkaterm
iosevkatermslab jetbrainsmono lekton liberationmono lilex martianmono meslo monaspace monofur monoid mononoki mplus nerdfontssymbolsonly noto
opendyslexic overpass profont proggyclean recursive robotomono sharetechmono sourcecodepro spacemono terminus tinos ubuntu ubuntumono ubuntusans
victormono zedmono'
IUSE_FONTS='0xproto 3270 agave anonymouspro arimo aurulentsansmono bigblueterminal bitstreamverasansmono cascadiacode
cascadiamono codenewroman comicshannsmono commitmono cousine departuremono d2coding daddytimemono dejavusansmono
droidsansmono envycoder fantasquesansmono firacode firamono geistmono gomono gohu hack hasklig heavydata hermit
iawriter ibmplexmono inconsolata inconsolatago inconsolatalgc intelonemono iosevka iosevkaterm iosevkatermslab
jetbrainsmono lekton liberationmono lilex martianmono meslo monaspace monofur monoid mononoki mplus
nerdfontssymbolsonly noto opendyslexic overpass profont proggyclean recursive robotomono sharetechmono sourcecodepro
spacemono terminus tinos ubuntu ubuntumono ubuntusans victormono zedmono'
IUSE="${IUSE_FONTS}"
REQUIRED_USE="|| ( ${IUSE_FONTS} )"

View File

@ -5,4 +5,4 @@ INHERIT=acct-group
KEYWORDS=~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris
SLOT=0
_eclasses_=user-info 9951b1a0e4f026d16c33a001fd2d5cdf acct-group c2bb1fc7bada6e119b3ce202ca42476f
_md5_=b1c6c700457ef1feb40484683cfe39da
_md5_=0de2e34a811df6bbbd5783c139734ef5

View File

@ -6,4 +6,4 @@ KEYWORDS=~alpha amd64 arm arm64 hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 s
RDEPEND=acct-group/ollama
SLOT=0
_eclasses_=user-info 9951b1a0e4f026d16c33a001fd2d5cdf acct-user a4bf64e6c32b95705287346a2b678ae1
_md5_=6fae0720a55e9789f1d73ec46249675f
_md5_=17a3c9fe28eb18a74e2503e41394b360

View File

@ -11,4 +11,4 @@ RESTRICT=strip
SLOT=0
SRC_URI=https://github.com/jesseduffield/lazydocker/archive/v0.24.1.tar.gz -> lazydocker-0.24.1.tar.gz
_eclasses_=multiprocessing 1e32df7deee68372153dca65f4a7c21f toolchain-funcs 14648d8795f7779e11e1bc7cf08b7536 multilib b2a329026f2e404e9e371097dda47f96 flag-o-matic 357f1a896fbedcd06e5ce55419c49eb9 go-env 0e2babf96e7d0b045fc07ad199eb2399 go-module df32d29550d40a92da723d3b8e17b467
_md5_=d40164714f2973d2b0ab8152aa625c88
_md5_=7d78e9fff9bb1045908fdcd3df9acbdb

View File

@ -0,0 +1,13 @@
DEFINED_PHASES=install postinst prepare unpack
DEPEND=acct-user/ollama acct-group/ollama
DESCRIPTION=Get up and running with large language models.
EAPI=8
HOMEPAGE=https://ollama.com https://github.com/ollama/ollama
IUSE=+systemd rocm
KEYWORDS=~amd64 ~arm64
LICENSE=MIT
RDEPEND=acct-user/ollama acct-group/ollama
RESTRICT=strip
SLOT=0
SRC_URI=amd64? ( https://github.com/ollama/ollama/releases/download/v0.5.11/ollama-linux-amd64.tgz -> ollama-bin-0.5.11.amd64.tgz ) arm64? ( https://github.com/ollama/ollama/releases/download/v0.5.11/ollama-linux-arm64.tgz -> ollama-bin-0.5.11.arm64.tgz ) rocm? ( https://github.com/ollama/ollama/releases/download/v0.5.11/ollama-linux-amd64-rocm.tgz -> ollama-bin-0.5.11.rocm.tgz )
_md5_=ffde7cc385e393fe5c1947991988913d

View File

@ -0,0 +1,13 @@
DEFINED_PHASES=install
DESCRIPTION=End-to-end encrypted note taking alternative to Evernote
EAPI=8
HOMEPAGE=https://notesnook.com/ https://github.com/streetwriters/notesnook
INHERIT=desktop
KEYWORDS=~amd64 ~arm64
LICENSE=GPL-3
RDEPEND=sys-fs/fuse:0
RESTRICT=strip
SLOT=0
SRC_URI=amd64? ( https://github.com/streetwriters/notesnook/releases/download/v3.0.26/notesnook_linux_x86_64.AppImage -> notesnook-bin-3.0.26.amd64.AppImage ) arm64? ( https://github.com/streetwriters/notesnook/releases/download/v3.0.26/notesnook_linux_arm64.AppImage -> notesnook-bin-3.0.26.arm64.AppImage )
_eclasses_=desktop 3a72ffe0d8e1dd73af3a1c8c15a59fed
_md5_=d6d19d36b02ef3cd40cc2fdd5bdfbde0

View File

@ -15,4 +15,4 @@ RESTRICT=!test? ( test )
SLOT=0
SRC_URI=https://download.calibre-ebook.com/7.25.0/calibre-7.25.0.tar.xz verify-sig? ( https://calibre-ebook.com/signatures/calibre-7.25.0.tar.xz.sig )
_eclasses_=edo 367e103a74bf77e6a8da7894d999fa3c toolchain-funcs 14648d8795f7779e11e1bc7cf08b7536 multilib b2a329026f2e404e9e371097dda47f96 multiprocessing 1e32df7deee68372153dca65f4a7c21f python-utils-r1 42c5abe4a656a4993a06a4fc61dbdd12 python-single-r1 47d8ac9be330c9366112b78fd4f8ce57 qmake-utils a8dd17b1d94586164f5e3fc12b1c6b81 eapi9-pipestatus d2c134036ac31c3085aebc9147f572bd verify-sig 7433426b6b28bf2737ba4b82c8aa8c53 xdg-utils 42869b3c8d86a70ef3cf75165a395e09 xdg 3ef49a87c52c8b77c476351195dfe575
_md5_=2734373b917f6014aba5c3df3daf3628
_md5_=0ef65d0111612e89d90170b01d9dd3e3

File diff suppressed because one or more lines are too long

View File

@ -10,4 +10,4 @@ RESTRICT=mirror
SLOT=0/9
SRC_URI=https://developer.download.nvidia.com/compute/cudnn/redist/cudnn/linux-x86_64/cudnn-linux-x86_64-9.6.0.74_cuda12-archive.tar.xz
_eclasses_=multiprocessing 1e32df7deee68372153dca65f4a7c21f toolchain-funcs 14648d8795f7779e11e1bc7cf08b7536 multilib b2a329026f2e404e9e371097dda47f96 unpacker fb4b84181244b3b9990fa0bf40232dd2
_md5_=c3d0794b82e576897961ec2ff1b72724
_md5_=fe7f28caf363fdfe01331bc8394319c3

View File

@ -10,4 +10,4 @@ RESTRICT=mirror
SLOT=0/9
SRC_URI=https://developer.download.nvidia.com/compute/cudnn/redist/cudnn/linux-x86_64/cudnn-linux-x86_64-9.7.1.26_cuda12-archive.tar.xz
_eclasses_=multiprocessing 1e32df7deee68372153dca65f4a7c21f toolchain-funcs 14648d8795f7779e11e1bc7cf08b7536 multilib b2a329026f2e404e9e371097dda47f96 unpacker fb4b84181244b3b9990fa0bf40232dd2
_md5_=c3d0794b82e576897961ec2ff1b72724
_md5_=fe7f28caf363fdfe01331bc8394319c3

View File

@ -14,4 +14,4 @@ RESTRICT=!test? ( test ) !test? ( test )
SLOT=0/1-1-1-1
SRC_URI=https://github.com/flatpak/libportal/releases/download/0.9.0/libportal-0.9.0.tar.xz
_eclasses_=toolchain-funcs 14648d8795f7779e11e1bc7cf08b7536 multilib b2a329026f2e404e9e371097dda47f96 flag-o-matic 357f1a896fbedcd06e5ce55419c49eb9 multiprocessing 1e32df7deee68372153dca65f4a7c21f ninja-utils 2df4e452cea39a9ec8fb543ce059f8d6 python-utils-r1 42c5abe4a656a4993a06a4fc61dbdd12 meson 99466844dd8d4fcfb07578a76f5a9922 python-any-r1 6ddb5e75c10db046f89ebe39c85e1d82 vala e477903dbe0105930c51f170a592dc16 virtualx 9741d451eb64ea8bb9faee90d68a9b68
_md5_=69449dd28870084d1fea67013b9b622e
_md5_=2f9059f6e8895d8a79711014c04233b3

View File

@ -0,0 +1,17 @@
BDEPEND=dev-util/glib-utils virtual/pkgconfig gtk-doc? ( dev-util/gi-docgen ) qt5? ( test? ( dev-qt/linguist-tools ) ) test? ( || ( dev-lang/python:3.13 dev-lang/python:3.12 dev-lang/python:3.11 dev-lang/python:3.10 ) || ( ( dev-lang/python:3.13 dev-python/pytest[python_targets_python3_13(-)] dev-python/dbus-python[python_targets_python3_13(-)] dev-python/python-dbusmock[python_targets_python3_13(-)] ) ( dev-lang/python:3.12 dev-python/pytest[python_targets_python3_12(-)] dev-python/dbus-python[python_targets_python3_12(-)] dev-python/python-dbusmock[python_targets_python3_12(-)] ) ( dev-lang/python:3.11 dev-python/pytest[python_targets_python3_11(-)] dev-python/dbus-python[python_targets_python3_11(-)] dev-python/python-dbusmock[python_targets_python3_11(-)] ) ( dev-lang/python:3.10 dev-python/pytest[python_targets_python3_10(-)] dev-python/dbus-python[python_targets_python3_10(-)] dev-python/python-dbusmock[python_targets_python3_10(-)] ) ) ) vala? ( || ( dev-lang/vala:0.56 ) ) >=dev-build/meson-1.2.3 app-alternatives/ninja dev-build/meson-format-array test? ( x11-base/xorg-server[xvfb] x11-apps/xhost )
DEFINED_PHASES=compile configure install prepare setup test
DEPEND=>=dev-libs/glib-2.58:2 introspection? ( dev-libs/gobject-introspection:= ) gtk? ( >=x11-libs/gtk+-3.24.41-r1:3[X?,wayland?] >=gui-libs/gtk-4.12.5-r2:4[X?,wayland?] ) qt5? ( dev-qt/qtcore:= dev-qt/qtgui:= dev-qt/qtx11extras:= dev-qt/qtwidgets:= ) qt5? ( test? ( dev-qt/qttest:= ) )
DESCRIPTION=Flatpak portal library
EAPI=8
HOMEPAGE=https://github.com/flatpak/libportal
INHERIT=flag-o-matic meson python-any-r1 vala virtualx
IUSE=gtk gtk-doc +introspection qt5 test +vala wayland X test
KEYWORDS=~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86
LICENSE=LGPL-3
RDEPEND=>=dev-libs/glib-2.58:2 introspection? ( dev-libs/gobject-introspection:= ) gtk? ( >=x11-libs/gtk+-3.24.41-r1:3[X?,wayland?] >=gui-libs/gtk-4.12.5-r2:4[X?,wayland?] ) qt5? ( dev-qt/qtcore:= dev-qt/qtgui:= dev-qt/qtx11extras:= dev-qt/qtwidgets:= )
REQUIRED_USE=gtk-doc? ( introspection ) vala? ( introspection )
RESTRICT=!test? ( test ) !test? ( test )
SLOT=0/1-1-1-1
SRC_URI=https://github.com/flatpak/libportal/releases/download/0.9.1/libportal-0.9.1.tar.xz
_eclasses_=toolchain-funcs 14648d8795f7779e11e1bc7cf08b7536 multilib b2a329026f2e404e9e371097dda47f96 flag-o-matic 357f1a896fbedcd06e5ce55419c49eb9 multiprocessing 1e32df7deee68372153dca65f4a7c21f ninja-utils 2df4e452cea39a9ec8fb543ce059f8d6 python-utils-r1 42c5abe4a656a4993a06a4fc61dbdd12 meson 99466844dd8d4fcfb07578a76f5a9922 python-any-r1 6ddb5e75c10db046f89ebe39c85e1d82 vala e477903dbe0105930c51f170a592dc16 virtualx 9741d451eb64ea8bb9faee90d68a9b68
_md5_=2f9059f6e8895d8a79711014c04233b3

View File

@ -7,4 +7,4 @@ KEYWORDS=~alpha ~amd64 ~arm ~hppa ~m68k ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos
LICENSE=lppl-1-3c
SLOT=0
SRC_URI=http://mirrors.ctan.org/graphics/pstricks/contrib/pst-flags.zip -> pst-flags-20230109.zip
_md5_=9fe50f01ad17bf6a891353cdea34a809
_md5_=d8811066bd04a6a466ac282173b94afa

View File

@ -7,4 +7,4 @@ KEYWORDS=~alpha ~amd64 ~arm ~hppa ~m68k ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos
LICENSE=lppl-1-3
SLOT=0
SRC_URI=https://mirrors.ctan.org/graphics/pgf/contrib/worldflags.zip -> worldflags-20231112.zip
_md5_=96b83de1a07a5795e25b32dc4f91001f
_md5_=6ea4479cca4ff72f14c8ae85301786f2

View File

@ -12,4 +12,4 @@ RESTRICT=bindist mirror
SLOT=0/12.6.3
SRC_URI=https://developer.download.nvidia.com/compute/cuda/12.6.3/local_installers/cuda_12.6.3_560.35.05_linux.run
_eclasses_=check-reqs 2a9731073c152554078a9a8df8fc0f1b toolchain-funcs 14648d8795f7779e11e1bc7cf08b7536 multilib b2a329026f2e404e9e371097dda47f96 multiprocessing 1e32df7deee68372153dca65f4a7c21f unpacker fb4b84181244b3b9990fa0bf40232dd2
_md5_=0b93f2008eb68678dad588ceab309aac
_md5_=ef90364e642596971be70bf0542a86db

View File

@ -12,4 +12,4 @@ RESTRICT=bindist mirror
SLOT=0/12.8.0
SRC_URI=https://developer.download.nvidia.com/compute/cuda/12.8.0/local_installers/cuda_12.8.0_570.86.10_linux.run
_eclasses_=check-reqs 2a9731073c152554078a9a8df8fc0f1b toolchain-funcs 14648d8795f7779e11e1bc7cf08b7536 multilib b2a329026f2e404e9e371097dda47f96 multiprocessing 1e32df7deee68372153dca65f4a7c21f unpacker fb4b84181244b3b9990fa0bf40232dd2
_md5_=8193439baa2cde8182678d913adcb7ad
_md5_=bc9024cab2afce7e5a0c0cdf8677cb27

View File

@ -11,4 +11,4 @@ RESTRICT=strip
SLOT=0
SRC_URI=https://github.com/jesseduffield/lazygit/archive/v0.45.2.tar.gz -> lazygit-0.45.2.tar.gz
_eclasses_=multiprocessing 1e32df7deee68372153dca65f4a7c21f toolchain-funcs 14648d8795f7779e11e1bc7cf08b7536 multilib b2a329026f2e404e9e371097dda47f96 flag-o-matic 357f1a896fbedcd06e5ce55419c49eb9 go-env 0e2babf96e7d0b045fc07ad199eb2399 go-module df32d29550d40a92da723d3b8e17b467
_md5_=0bac9dced99b1fff4702aa6ea02d7791
_md5_=0678f425dd0655cde9f7c8ce8ca27515

File diff suppressed because one or more lines are too long

View File

@ -11,4 +11,4 @@ RESTRICT=strip
SLOT=0
SRC_URI=https://github.com/jesseduffield/lazynpm/archive/v0.1.4.tar.gz -> lazynpm-0.1.4.tar.gz
_eclasses_=multiprocessing 1e32df7deee68372153dca65f4a7c21f toolchain-funcs 14648d8795f7779e11e1bc7cf08b7536 multilib b2a329026f2e404e9e371097dda47f96 flag-o-matic 357f1a896fbedcd06e5ce55419c49eb9 go-env 0e2babf96e7d0b045fc07ad199eb2399 go-module df32d29550d40a92da723d3b8e17b467
_md5_=5690d445a8a5788f8dafc2b4853afc21
_md5_=dbe96bd546df76965014540f59b80af7

View File

@ -5,26 +5,25 @@ EAPI=8
inherit go-module
DESCRIPTION="terminal UI for npm"
HOMEPAGE="https://github.com/jesseduffield/lazynpm"
DESCRIPTION='terminal UI for npm'
HOMEPAGE='https://github.com/jesseduffield/lazynpm'
SRC_URI="https://github.com/jesseduffield/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/${P}"
LICENSE="Apache-2.0 BSD ISC MIT Unlicense"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
LICENSE='Apache-2.0 BSD ISC MIT Unlicense'
SLOT='0'
KEYWORDS='~amd64 ~arm64'
RDEPEND="net-libs/nodejs"
RDEPEND='net-libs/nodejs'
DOCS=( {CODE-OF-CONDUCT,CONTRIBUTING,README}.md docs )
src_compile() {
ego build -o bin/${PN} \
-ldflags "-X main.version=${PV}"
ego build -o bin/"${PN}" -ldflags "-X main.version=${PV}"
}
src_install() {
dobin bin/${PN}
dobin bin/"${PN}"
einstalldocs
}

Binary file not shown.

Before

Width:  |  Height:  |  Size: 27 KiB

After

Width:  |  Height:  |  Size: 9.4 KiB